Dimension de diamètre TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Diameter and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Diameter.svg Dimension de Diamètre

Emplacement du menu
TechDraw → Dimension de Diamètre
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Dimension Radius


Description

L'outil Dimension de Diamètre ajoute une dimension de diamètre à une vue. La cote peut être appliquée à n'importe quelle entité circulaire dans le dessin. La dimension sera initialement la distance projetée (c.-à-d. comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle en utilisant l'outil TechDraw Dimension Link.svg Lier une dimension

TechDraw Dimension Diameter example.png

Mesurer un cercle, indiquant le diamètre


Comment faire

  1. Sélectionnez un bord circulaire dans le dessin. (Notez que certains arcs qui semblent être circulaires sont en fait des ellipses ou des BSplines. Vous ne pouvez pas créer de dimension de diamètre dans ces cas-là)
  2. Appuyez sur le bouton Techdraw Dimension Diameter.png Dimension de Diamètre
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets de dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil TechDraw Dimension Length pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil TechDraw Dimension Length. Voir cet outil pour plus de détails.

Script

Voir aussi: TechDraw API et FreeCAD Scripting Basics.

L'outil Dimension Diameter peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)